import { defineComponent as y, openBlock as n, createElementBlock as t, Fragment as r, withDirectives as H, createBlock as u, unref as a, createVNode as l, createCommentVNode as s, withCtx as d, createElementVNode as p, renderList as V, withModifiers as _, renderSlot as C } from "vue";
import { av as B, ax as R, ay as w, az as z, ao as A, aA as U, aB as M, aC as E, ar as m, aD as F, aE as g, aF as P, ap as c, aq as v, aG as D, aH as I, aI as N, aJ as S, aK as J, aL as L, aM as h, aN as W, an as $ } from "./index-6901c45a.js";
const q = ["round", "float", "disabled"], G = {
  key: 1,
  class: "element-media-icon"
}, K = {
  key: 1,
  class: "element-media-icon"
}, T = {
  colspan: "3",
  class: "input-colors"
}, Z = { class: "input-row" }, j = /* @__PURE__ */ y({
  __name: "ElementMedia",
  props: {
    disabled: { type: Boolean },
    image: {},
    video: {},
    round: { type: Boolean },
    float: {},
    prefix: {},
    icon: { type: Function },
    removeable: { type: Boolean }
  },
  emits: ["remove"],
  setup(k) {
    const b = k;
    function x() {
      const { image: e, video: o } = b, i = new $();
      e && (e.alt = i.alt, e.background = i.background, e.contain = i.contain, e.maxHeight = i.maxHeight, e.src = i.src), o && (o.alt = i.alt, o.maxHeight = i.maxHeight, o.src = i.src);
    }
    return (e, o) => (n(), t(r, null, [
      H((n(), t("div", {
        class: "element-media",
        round: e.round ? "" : void 0,
        float: e.float ? e.float : void 0,
        disabled: e.disabled ? "" : void 0
      }, [
        e.video ? (n(), t(r, { key: 0 }, [
          e.video.src.startsWith("https://") ? (n(), u(a(R), {
            key: 0,
            src: e.video.src,
            "max-height": e.video.maxHeight
          }, null, 8, ["src", "max-height"])) : (n(), t("div", G, [
            l(a(w))
          ]))
        ], 64)) : e.image ? (n(), t(r, { key: 1 }, [
          e.image.src.startsWith("https://") ? (n(), u(a(z), {
            key: 0,
            thumbnail: e.image
          }, null, 8, ["thumbnail"])) : (n(), t("div", K, [
            l(a(A))
          ]))
        ], 64)) : s("", !0)
      ], 8, q)), [
        [a(U)]
      ]),
      l(a(M), null, {
        default: d(() => [
          l(a(E), {
            icon: e.icon,
            label: e.prefix + " formatieren"
          }, null, 8, ["icon", "label"]),
          e.video || e.image ? (n(), t(r, { key: 0 }, [
            l(a(m), {
              "keep-open": "",
              "leading-icon": a(F)
            }, {
              default: d(() => [
                l(a(g), {
                  plain: "",
                  modelValue: (e.video || e.image).src,
                  "onUpdate:modelValue": o[0] || (o[0] = (i) => (e.video || e.image).src = i),
                  placeholder: "Link zum " + e.prefix
                }, null, 8, ["modelValue", "placeholder"])
              ]),
              _: 1
            }, 8, ["leading-icon"]),
            l(a(m), {
              "keep-open": "",
              "leading-icon": a(P)
            }, {
              default: d(() => [
                l(a(g), {
                  plain: "",
                  modelValue: (e.video || e.image).alt,
                  "onUpdate:modelValue": o[1] || (o[1] = (i) => (e.video || e.image).alt = i),
                  placeholder: "Alt Text"
                }, null, 8, ["modelValue"])
              ]),
              _: 1
            }, 8, ["leading-icon"]),
            l(a(c)),
            l(a(v), {
              label: "Maximale Höhe (in px, optional)",
              description: `Wie hoch darf das ${e.video ? "Video" : "Bild"} maximal sein`
            }, null, 8, ["description"]),
            l(a(m), {
              "keep-open": "",
              "leading-icon": a(D)
            }, {
              default: d(() => [
                l(a(g), {
                  type: "number",
                  inputmode: "decimal",
                  min: "100",
                  plain: "",
                  "model-value": (e.video || e.image).maxHeight ? (e.video || e.image).maxHeight.toString() : void 0,
                  "onUpdate:modelValue": o[2] || (o[2] = (i) => (e.video || e.image).maxHeight = i ? +i : void 0),
                  placeholder: "Maximale Höhe"
                }, null, 8, ["model-value"])
              ]),
              _: 1
            }, 8, ["leading-icon"]),
            e.image ? (n(), t(r, { key: 0 }, [
              l(a(c)),
              l(a(v), {
                label: "Hintergrund (optional)",
                description: "2. Farbe für einen Farbverlauf"
              }),
              p("tr", null, [
                p("td", T, [
                  (n(), t(r, null, V(2, (i) => p("div", Z, [
                    l(a(I), {
                      plain: "",
                      "model-value": e.image.background[i - 1],
                      "onUpdate:modelValue": (f) => e.image.background.splice(i - 1, 1, f || "")
                    }, null, 8, ["model-value", "onUpdate:modelValue"]),
                    l(a(N), {
                      onClick: (f) => e.image.background.splice(i - 1, 1, "")
                    }, {
                      default: d(() => [
                        l(a(S))
                      ]),
                      _: 2
                    }, 1032, ["onClick"])
                  ])), 64))
                ])
              ]),
              l(a(c)),
              l(a(v), { label: "Soll das Bild gecroppt oder komplett angezeigt werden" }),
              l(a(m), {
                "keep-open": "",
                onClick: o[3] || (o[3] = _((i) => e.image.contain = !e.image.contain, ["stop", "prevent"]))
              }, {
                default: d(() => [
                  l(a(J), {
                    "model-value": !e.image.contain,
                    label: "Platz ausfüllen"
                  }, null, 8, ["model-value"])
                ]),
                _: 1
              })
            ], 64)) : s("", !0),
            C(e.$slots, "default", {}, void 0, !0),
            l(a(c)),
            l(a(L), {
              label: e.prefix + " zurücksetzen",
              "trailing-icon": a(h)
            }, {
              default: d(() => [
                l(a(m), {
                  label: "Zurücksetzen bestätigen",
                  onClick: x,
                  "trailing-icon": a(h)
                }, null, 8, ["trailing-icon"])
              ]),
              _: 1
            }, 8, ["label", "trailing-icon"]),
            e.removeable ? (n(), u(a(W), {
              key: 1,
              prefix: e.prefix,
              onRemove: o[4] || (o[4] = (i) => e.$emit("remove"))
            }, null, 8, ["prefix"])) : s("", !0)
          ], 64)) : s("", !0)
        ]),
        _: 3
      })
    ], 64));
  }
}), Y = /* @__PURE__ */ B(j, [["__scopeId", "data-v-9d7813b6"]]);
export {
  Y as Q
};
