import { Editor as CoreEditor } from '@tiptap/core';
import { Content, Editor, HTMLContent, JSONContent } from '@tiptap/vue-3';
import { Ref, ShallowRef } from 'vue';
interface Emits {
    (e: 'json', json: JSONContent): void;
    (e: 'html', html: HTMLContent): void;
    (e: 'text', text: string): void;
    (e: 'blur', editor: CoreEditor): void;
    (e: 'focus', editor: CoreEditor): void;
}
export declare function useEditor(content: Ref<Content | undefined>, emit: Emits, options?: {
    placeholder?: string;
}): ShallowRef<Editor | undefined>;
export {};
