import { defineComponent as V, openBlock as n, createElementBlock as d, Fragment as r, withDirectives as H, createBlock as p, unref as a, createVNode as i, createCommentVNode as m, withCtx as t, createElementVNode as g, renderList as w, withModifiers as B, renderSlot as E } from "vue";
import { r as z, f as C, h as F, w as M, x as S, j as U, K as W, D as s, m as $, g as v, S as D, k as u, X as f, n as I, p as N, q as T, t as X, v as j, W as A, y as b, z as K, I as L, _ as R } from "./index-6901c45a.js";
const q = ["round", "float", "disabled"], P = {
  key: 1,
  class: "element-media-icon"
}, Z = {
  key: 1,
  class: "element-media-icon"
}, G = {
  colspan: "3",
  class: "input-colors"
}, J = { class: "input-row" }, O = /* @__PURE__ */ V({
  __name: "ElementMedia",
  props: {
    disabled: { type: Boolean },
    image: {},
    video: {},
    round: { type: Boolean },
    float: {},
    prefix: {},
    icon: { type: Function },
    removeable: { type: Boolean }
  },
  emits: ["remove"],
  setup(c) {
    const h = c;
    function y() {
      const { image: e, video: o } = h, l = new L();
      e && (e.alt = l.alt, e.background = l.background, e.contain = l.contain, e.maxHeight = l.maxHeight, e.src = l.src), o && (o.alt = l.alt, o.maxHeight = l.maxHeight, o.src = l.src);
    }
    return (e, o) => (n(), d(r, null, [
      H((n(), d("div", {
        class: "element-media",
        round: e.round ? "" : void 0,
        float: e.float ? e.float : void 0,
        disabled: e.disabled ? "" : void 0
      }, [
        e.video ? (n(), d(r, { key: 0 }, [
          e.video.src.startsWith("https://") ? (n(), p(a(z), {
            key: 0,
            src: e.video.src,
            "max-height": e.video.maxHeight
          }, null, 8, ["src", "max-height"])) : (n(), d("div", P, [
            i(a(C))
          ]))
        ], 64)) : e.image ? (n(), d(r, { key: 1 }, [
          e.image.src.startsWith("https://") ? (n(), p(a(F), {
            key: 0,
            thumbnail: e.image
          }, null, 8, ["thumbnail"])) : (n(), d("div", Z, [
            i(a(M))
          ]))
        ], 64)) : m("", !0)
      ], 8, q)), [
        [a(S)]
      ]),
      i(a(U), null, {
        default: t(() => [
          i(a(W), {
            icon: e.icon,
            label: e.prefix + " formatieren"
          }, null, 8, ["icon", "label"]),
          e.video || e.image ? (n(), d(r, { key: 0 }, [
            i(a(s), {
              "keep-open": "",
              "leading-icon": a($)
            }, {
              default: t(() => [
                i(a(v), {
                  plain: "",
                  modelValue: (e.video || e.image).src,
                  "onUpdate:modelValue": o[0] || (o[0] = (l) => (e.video || e.image).src = l),
                  placeholder: "Link zum " + e.prefix
                }, null, 8, ["modelValue", "placeholder"])
              ]),
              _: 1
            }, 8, ["leading-icon"]),
            i(a(s), {
              "keep-open": "",
              "leading-icon": a(D)
            }, {
              default: t(() => [
                i(a(v), {
                  plain: "",
                  modelValue: (e.video || e.image).alt,
                  "onUpdate:modelValue": o[1] || (o[1] = (l) => (e.video || e.image).alt = l),
                  placeholder: "Alt Text"
                }, null, 8, ["modelValue"])
              ]),
              _: 1
            }, 8, ["leading-icon"]),
            i(a(u)),
            i(a(f), {
              label: "Maximale Höhe (in px, optional)",
              description: `Wie hoch darf das ${e.video ? "Video" : "Bild"} maximal sein`
            }, null, 8, ["description"]),
            i(a(s), {
              "keep-open": "",
              "leading-icon": a(I)
            }, {
              default: t(() => [
                i(a(v), {
                  type: "number",
                  inputmode: "decimal",
                  min: "100",
                  plain: "",
                  "model-value": (e.video || e.image).maxHeight ? (e.video || e.image).maxHeight.toString() : void 0,
                  "onUpdate:modelValue": o[2] || (o[2] = (l) => (e.video || e.image).maxHeight = l ? +l : void 0),
                  placeholder: "Maximale Höhe"
                }, null, 8, ["model-value"])
              ]),
              _: 1
            }, 8, ["leading-icon"]),
            e.image ? (n(), d(r, { key: 0 }, [
              i(a(u)),
              i(a(f), {
                label: "Hintergrund (optional)",
                description: "2. Farbe für einen Farbverlauf"
              }),
              g("tr", null, [
                g("td", G, [
                  (n(), d(r, null, w(2, (l) => g("div", J, [
                    i(a(N), {
                      plain: "",
                      "model-value": e.image.background[l - 1],
                      "onUpdate:modelValue": (k) => e.image.background.splice(l - 1, 1, k || "")
                    }, null, 8, ["model-value", "onUpdate:modelValue"]),
                    i(a(T), {
                      onClick: (k) => e.image.background.splice(l - 1, 1, "")
                    }, {
                      default: t(() => [
                        i(a(X))
                      ]),
                      _: 2
                    }, 1032, ["onClick"])
                  ])), 64))
                ])
              ]),
              i(a(u)),
              i(a(f), { label: "Soll das Bild gecroppt oder komplett angezeigt werden" }),
              i(a(s), {
                "keep-open": "",
                onClick: o[3] || (o[3] = B((l) => e.image.contain = !e.image.contain, ["stop", "prevent"]))
              }, {
                default: t(() => [
                  i(a(j), {
                    "model-value": !e.image.contain,
                    label: "Platz ausfüllen"
                  }, null, 8, ["model-value"])
                ]),
                _: 1
              })
            ], 64)) : m("", !0),
            E(e.$slots, "default", {}, void 0, !0),
            i(a(u)),
            i(a(A), {
              label: e.prefix + " zurücksetzen",
              "trailing-icon": a(b)
            }, {
              default: t(() => [
                i(a(s), {
                  label: "Zurücksetzen bestätigen",
                  onClick: y,
                  "trailing-icon": a(b)
                }, null, 8, ["trailing-icon"])
              ]),
              _: 1
            }, 8, ["label", "trailing-icon"]),
            e.removeable ? (n(), p(a(K), {
              key: 1,
              prefix: e.prefix,
              onRemove: o[4] || (o[4] = (l) => e.$emit("remove"))
            }, null, 8, ["prefix"])) : m("", !0)
          ], 64)) : m("", !0)
        ]),
        _: 3
      })
    ], 64));
  }
}), x = /* @__PURE__ */ R(O, [["__scopeId", "data-v-a8f3b26e"]]);
export {
  x as E
};
