import { ContentBase, ContentType } from 'itlab-functions';
import { Component, VNode } from 'vue';
export { default as Element } from './Element.vue';
export { default as ElementMedia } from './ElementMedia.vue';
export { default as InputDescription } from './InputDescription.vue';
interface ElementEntry {
    type: ContentType;
    icon: () => VNode;
    label: string;
    editor: Component;
}
export declare const ElementDB: Record<ContentType, ElementEntry>;
export declare const CommonElements: ElementEntry[];
export declare const ImageElements: ElementEntry[];
export declare const EtcElements: ElementEntry[];
export declare function useInit<K extends keyof ContentBase>(content: ContentBase, key: K, value: ContentBase[K]): void;
